<!--异常-->
<template>
  <div class="anomalyPage">
    <el-table class="table-box" v-loading="loading" border :data="listData">
      <el-table-column  label="姓名" align="left" prop="userName" show-overflow-tooltip width="200"/>
      <el-table-column label="联系电话" align="left" prop="userPhone" show-overflow-tooltip width="340"/>
      <el-table-column label="计划巡查实验室" align="left" prop="subName" show-overflow-tooltip/>
      <el-table-column label="异常原因" align="left" prop="remark" show-overflow-tooltip width="500"/>
    </el-table>
    <pagination :page-sizes="[5, 10, 15, 20]"
                :total="total"
                style="margin-top:10px;"
                layout="total, prev, pager, next, sizes, jumper"
                :page.sync="param.page"
                :limit.sync="param.pageSize"
                @pagination="getListPlan"
    />
  </div>
</template>

<script>
  import { listAbnormal } from '@/api/integratedManagement/index'
  export default {
    name: 'anomalyPage',
    props:{
      propsPageData:{},
    },
    data(){
      return{
        listData:[],
        loading:false,
        param:{
          page:1,
          pageSize:10,
        },
        total:0,

      }
    },
    created(){
      this.getListPlan();
    },
    mounted(){

    },
    methods:{
      //获取数据
      getListPlan(){
        this.loading = true;
        let obj = {
          page:this.param.page,
          pageSize:this.param.pageSize,
          dutyTime:this.propsPageData.time,
          deptId:this.propsPageData.checkTreeId,
        }
        listAbnormal(obj).then(response => {
          this.$set(this,'total',response.data.total);
          this.$set(this,'listData',response.data.records);
          this.loading = false;
        })
      },
    }
  }
</script>

<style scoped lang="scss">
  .anomalyPage{
    flex:1;
    display: flex;
    flex-direction: column;
  }
</style>
